# Installing Third Party Software
Hitch Hiker uses the [pkgsrc](https://www.pkgsrc.org/) framework for installing
extra software on top of the base system. Contrary to what is common in the world
of Linux, there is a clear distinction between the base system and all third
party packages. This, in turn, allows for more developer focus on the base system
and less time packaging software. This is the model followed by all of the various
BSD systems, where the base system and packages are considered to be separate
projects.

### What is Pkgsrc
Pkgsrc is a cross platform framework for packaging and installing third party
software which is developed and maintained by the NetBSD project. Currently it
works on all BSD systems, Minix, Darwin,MacOS X, and Linux to name a few, across
multiple architectures.
### Further Reading
In addition to this chapter you are highly encouraged to read
[The pkgsrc guide](http://www.netbsd.org/docs/pkgsrc/index.html) and keep it
handy as reference, as a full reference to pkgsrc is beyond the scope of this
chapter.
