# Downloading the Hitch Hiker Linux source
The Hitch Hiker Linux source code is available as an xz compressed tarball from
the hitchhiker-linux.org website, or can alternatively be cloned from the main
git repository.

The current stable source tarball can be fetched using *wget*:
```Bash
wget -c https://hitchhiker-linux.org/pub/stable/src/src.tar.xz
tar -xJf src.tar.xz
```
Alternatively, should one wish to build the most recent development version of
HitchHiker, the source can be checked out via *git* over https.
```Bash
git clone https://git.hitchhiker-linux.org/hitchhiker/src.git
```
>**_NOTE:_**
>
> Currently, the build tree expects to be located in the top level directory
> **/src**, and it is therefore necessary to either ```cd /``` prior to running
> the previous commands, or else to *bind mount* the actual source directory
> onto /src prior to building. This requirement may be changed in the future in
> order to increase flexibility.
